Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/14609/?format=api
{ "ob_id": 14609, "uuid": "3005bdbabf0c438084b9ff4d4894aa01", "title": "MSG: RGB 'False Colour' 321 product daytime imagery Europe and the North Atlantic", "abstract": "The Meteosat Second Generation (MSG) satellites, operated by EUMETSAT (The European Organisation for the Exploitation of Meteorological Satellites), provide almost continuous imagery to meteorologists and researchers in Europe and around the world. These include visible, infra-red, water vapour, High Resolution Visible (HRV) images and derived cloud top height, cloud top temperature, fog, snow detection and volcanic ash products. These images are available for a range of geographical areas. \r\n\r\nThis dataset contains RGB 'False Colour' 321 product images from MSG satellites over Europe and the North Atlantic. Imagery available from March 2005 onwards at a frequency of 15 minutes (some are hourly) and are at least 24 hours old.\r\n\r\nRGB images are composite images generated by combining two or more channels and displaying in colour. The naming convention describes which channel is assigned to the red, green and blue colours. For example RGB 321 means that channel 3 (1.6 micron) is on the red, channel 2 (0.8 micron) is on the green and channel 1 (0.6 micron) is on the blue. This combination can then highlight different physical features through the differing amounts of red, green and blue and hence give a unique colour to that feature. In this case, turquoise clouds contain ice crystals, whilst white clouds are water clouds (inc. fog). Vegetation creates a green signal and sandy areas are pink. Snow covered ground is turquoise.\r\n\r\nNote: a change in product can be seen from a change to software implemented on 25/11/2013 where the scaling and gamma correction of the R, G, and B channels were tuned to give an improved image, in effect lightening the brighter colours in the image image.\n\nThe geographic extent for images within this datasets is available via the linked documentation 'MSG satellite imagery product geographic area details'. Each MSG imagery product area can be referenced from the third and fourth character of the image product name giving in the filename. E.g. for EEAO11 the corresponding geographic details can be found under the entry for area code 'AO' (i.e West Africa).\n", "keywords": "MSG, Snow, Satellites, Europe and North Atlantic", "publicationState": "published", "dataPublishedTime": "2007-02-20T10:46:14", "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/14610/?format=api", "dataPath": "/badc/msg/data/hritimages/EEEU11", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 3057419029, "numberOfFiles": 2567, "fileFormat": "Images are PNG formatted" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/3857/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/2922/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/25872/?format=api" ], "dataLineage": "Data obtained by satellite from March 2005, prepared by the Met Office and stored in the BADC archive.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/11161/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/2645/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/56649/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/56652/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/56656/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/56654/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/149362/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/56651/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/56653/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/56655/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/56650/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/168988/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": "https://api.catalogue.ceda.ac.uk/api/v2/composites/14617/?format=api", "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2545/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "restricted", "accessRoles": "msg", "label": "restricted: msg group", "licenceURL": "https://artefacts.ceda.ac.uk/licences/specific_licences/msg.pdf", "licenceClassifications": "academic" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }